# OCTOBOS learning and applications
=============

OCTOBOS learning accompanies the following publications: 

1. "Structured overcomplete sparsifying transform learning with convergence guarantees and applications", International Journal of Computer Vision (IJCV), 2015. [IJCV 2015](http://link.springer.com/article/10.1007/s11263-014-0761-1), [PDF available](http://transformlearning.csl.illinois.edu/assets/Sai/JournalPapers/SaiBihanIJCV2014OCTOBOS.pdf)

2. "Learning overcomplete sparsifying transforms with block cosparsity", Proc. IEEE International Conference on Image Processing (ICIP), 2014. [ICIP 2014](http://ieeexplore.ieee.org/stamp/stamp.jsp?tp=&arnumber=7025161), [PDF available](http://transformlearning.csl.illinois.edu/assets/Sai/ConferencePapers/SaiBihanICIP2014OCTOBOS.pdf), [Slides](http://transformlearning.csl.illinois.edu/assets/Sai/ConferenceSlidesandPosters/SaiBihanICIP2014OCTOBOS_slides.pdf)

Description:
-----

OCTOBOS is a formulation and an algorithm that adaptively learns a structured overcomplete sparsifying transform with block cosparsity, or equivalently a union of square sparsifying transforms, and simultaneously clusters the data via sparse coding.

The OCTOBOS package includes (1) a collection of the SALT Matlab functions, and (2) example demo data used in the OCOTOBOS paper including image denoising, reconstruction, and texture segmentation.

You can download our other software packages at: [My Homepage](http://web.engr.illinois.edu/~bwen3/) and [Transform Learning Site](http://transformlearning.csl.illinois.edu/).

Paper

In case of use, please cite our publications:

1. B. Wen, S. Ravishankar, and Y. Bresler. "Structured overcomplete sparsifying transform learning with convergence guarantees and applications." International Journal of Computer Vision (IJCV), vol. 114, no. 2-3, pp. 137-167, 2015.

```
@article{wen2015octobos,
  title={Structured overcomplete sparsifying transform learning with convergence guarantees and applications},
  author={Wen, Bihan and Ravishankar, Saiprasad and Bresler, Yoram},
  journal={International Journal of Computer Vision (IJCV)},
  volume={114},
  number={2-3},
  pages={137--167},
  year={2015},
  publisher={Springer}
}
```

2. B. Wen, S. Ravishankar, and Y. Bresler. “Learning overcomplete sparsifying transforms with block cosparsity." IEEE International Conference on Image Processing (ICIP), pp. 803-807, 2014.

```
@inproceedings{wen2014octobos,
  title={Learning overcomplete sparsifying transforms with block cosparsity},
  author={Wen, Bihan and Ravishankar, Saiprasad and Bresler, Yoram},
  booktitle={IEEE International Conference on Image Processing (ICIP)},
  pages={803--807},
  year={2014},
  organization={IEEE}
}
```

Use
---
All codes are subject to copyright and may only be used for non-commercial research. In case of use, please cite our publication.

Contact Bihan Wen (bihan.wen.uiuc@gmail.com) for any questions.

Acknowledgement
---
The development of this software was supported in part by the National Science Foundation (NSF) under grants CCF 06-35234 and CCF 10-18660.
